# $Revision: 1.14 $, $Date: 2004/12/26 17:46:25 $
%define		module	pyweblib
Summary:	Yet another web programming framework for Python
Summary(pl):	Jeszcze jedno rodowisko do programowania WWW dla Pythona
Name:		python-%{module}
Version:	1.3.3
Release:	2
License:	GPL
Source0:	http://www.stroeder.com/pylib/PyWebLib/download/%{module}-%{version}.tar.gz
# Source0-md5:	755b6d474ea584194afb9c4474df0b2a
URL:		http://www.stroeder.com/pylib/PyWebLib/
Group:		Development/Languages/Python
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Web application library:
pyweblib.forms		class library for handling <FORM> input
pyweblib.session	server-side web session handling
pyweblib.helper		misc. stuff useful in CGI-BINs
pyweblib.sslenv		retrieves SSL-related env vars
pyweblib.httphelper	very basic HTTP functions

%description -l pl
Biblioteka aplikacji WWW:
pyweblib.forms		biblioteka klas do obsugi wejcia <FORM>
pyweblib.session	obsuga sesji po stronie serwera WWW
pyweblib.helper		rne narzdzia przydatne w cgi-bin
pyweblib.sslenv		odczytywanie zmiennych zwizanych z SSL
pyweblib.httphelper	podstawowe funkcje HTTP

%prep
%setup -q -n %{module}-%{version}

%build
env CFLAGS="%{rpmcflags}" %{_bindir}/python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%{_bindir}/python -- setup.py install --root=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*.py" | xargs rm
install cgi-bin/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES* htdocs/*
%{py_sitescriptdir}/*
%{_examplesdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyweblib.spec,v $
Revision 1.14  2004/12/26 17:46:25  saq
- release 2 for rebuild with python 2.4

Revision 1.13  2004/12/18 15:54:59  darekr
- updated to 1.3.3

Revision 1.12  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.11  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.10  2004/02/27 16:12:11  pius
- updated to 1.3.1

Revision 1.9  2004/01/19 14:31:07  jajcus
- Release: 2
- new architecture-independent python modules paths

Revision 1.8  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/17 08:36:14  jajcus
- Version: 1.2.1
- %%files and %%install rewrited, so no generated filelist is used and rpm
  doesn't complain about not-packaged files

Revision 1.4  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/11 15:29:17  qboosh
- pl translations, cosmetics; release 2

Revision 1.1  2001/10/24 14:06:04  mis
- new from scratch
